## xa 2.3.3

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,9 @@
 CC = gcc
 LD = gcc
 CFLAGS = -O2 -W -Wall -pedantic -ansi
+LDFLAGS = -lc
+
+# for DOS?
 # CC = gcc-go32
 # LD = gcc-go32
 # CFLAGS = -W -Wall -pedantic 
@@ -33,15 +36,19 @@
 	(cd misc && CC="${CC} ${CFLAGS}" ${MAKE})
 
 dos: clean
-	(cd src && LD=gcc-go32 CC="gcc-go32 -W -Wall -pedantic" ${MAKE})
-	(cd misc && CC="gcc-go32 -W -Wall -pedantic" ${MAKE})
+	(cd src && LD=gcc-go32 CC=gcc-go32 CFLAGS="-W -Wall -pedantic" ${MAKE})
+	(cd misc && CC=gcc-go32 CFLAGS="-W -Wall -pedantic" ${MAKE})
 	rm -f xa file65 ldo65 uncpk printcbm reloc65 mkrom.sh src/*.o
 
+mingw: clean
+	(cd src && LD=${LD} CC=${CC} CFLAGS="${CFLAGS}" LDFLAGS="" ${MAKE})
+	(cd misc && LD=${LD} CC=${CC} CFLAGS="${CFLAGS}" LDFLAGS="" ${MAKE})
+	
 clean:
 	(cd src && ${MAKE} clean)
 	(cd loader && ${MAKE} clean)
 	(cd misc && ${MAKE} mrproper)
-	rm -f xa *.exe
+	rm -f xa *.exe *.o65
 
 install: xa uncpk
 	$(MKDIR) $(BINDIR)
@@ -51,4 +58,4 @@
 	#$(MKDIR) $(DOCDIR)/xa65
 
 dist: clean
-	cd .. ; tar cvf xa-2.3.0.tar xa-2.3.0 ; gzip xa-2.3.0.tar
+	cd .. ; tar cvf xa-2.3.3.tar xa-2.3.3 ; gzip xa-2.3.3.tar
