=== tests/cpp/Makefile ===
default:
	cc -E over.c > over.asm
	../../xa over.asm
