=== debian/changelog ===
xa (2.3.12-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Enable the test suite. Closes: #966181.
  * Fix a number of segfaults. Closes: #715904, #716289, #716483.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Feb 2022 21:15:45 +0100

xa (2.3.11-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, which builds with GCC 10 (Closes: #957966).
  * Override the build flags (the 2.3.11 build sets them unconditionnally,
    unlike the 2.3.8 build).
  * Set the linker so that the package can be cross-built; thanks to
    Helmut Grohne for the patch (Closes: #948176).

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Jul 2020 12:46:11 +0200

xa (2.3.8-2) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 4.1.1
  * New upload signed with correct key

 -- David Weinehall <tao@debian.org>  Tue, 31 Oct 2017 22:37:07 +0200

xa (2.3.8-1) unstable; urgency=low

  * New upstream release
  * Switch to debhelper 10
  * debian/control:
    - Bump Standards-Version to 4.1.0
    - Build-Depends: debhelper (>= 10)
  * debian/copyright:
    - Modified to be machine readable
  * debian/rules:
    - Override dh_auto_test; the test suite causes the package to FTBFS

 -- David Weinehall <tao@debian.org>  Sat, 16 Sep 2017 00:05:46 +0400

xa (2.3.7-1) experimental; urgency=low

  * New upstream release (Closes: #773717)
    | Thanks Andreas Hausmann
  * Makefile: modified to handle CFLAGS/CPPFLAGS/LDFLAGS properly
    | This is needed to enable hardening
  * Switch to debhelper 9
  * debian/compat:
    - Use compat level 9 to enable hardening
  * Added debian/source/format (1.0)
  * Added debian/watch
  * Added debian/doc-base
  * debian/control:
    - Bump Standards-Version to 3.9.6
    - Build-Depends: debhelper (>= 9)
    - Depends: ${misc:depends}
  * debian/rules:
    - Minimised, thanks to new version of debhelper

 -- David Weinehall <tao@debian.org>  Wed, 07 Jan 2015 00:06:39 +0200

xa (2.3.5-1) unstable; urgency=low

  * New upstream release
  * Added link to upstream web site
  * Bump Standards-Version to 3.8.2

 -- David Weinehall <tao@debian.org>  Sun, 12 Jul 2009 22:56:19 +0300

xa (2.3.3-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.7.3 (No changes needed)
  * debian/copyright: Converted to UTF-8
  * debian/rules: Don't ignore errors from make clean

 -- David Weinehall <tao@debian.org>  Tue, 01 Apr 2008 02:04:25 +0300

xa (2.3.0-2) unstable; urgency=low

  * Update upstream maintainer's email address
  * Bump Standards-Version to 3.7.2.2 (No changes needed)

 -- David Weinehall <tao@debian.org>  Thu, 26 Oct 2006 00:02:17 +0300

xa (2.3.0-1) unstable; urgency=low

  * New upstream version
    - Forcing of absoluting addressing now works (Closes: #208969)

 -- David Weinehall <tao@debian.org>  Wed, 12 Apr 2006 17:14:24 +0300

xa (2.2.0-p1-1) unstable; urgency=low

  * Initial Release (Closes: #160023)

 -- David Weinehall <tao@debian.org>  Sun, 27 Jul 2003 22:00:28 +0200
