=== debian/control ===
Source: xa
Section: devel
Priority: optional
Maintainer: David Weinehall <tao@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.1
Homepage: http://www.floodgap.com/retrotech/xa/

Package: xa65
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cross-assembler and utility suite for 65xx/65816 processors
 xa65 is a cross-assembler and utility suite for the 65xx series of
 8-bit processors, and the 65816, a 16-bit version of the processor.
 The 6502 was used in computers such as the Commodore 64, Apple II,
 and many more.
