=== debian/watch ===
# watch control file for uscan
version=2
http://www.floodgap.com/retrotech/xa/dists/xa-(.*)\.tar\.gz	debian	uupdate
