## xa 2.3.13

=== debian/changelog ===
xa (2.3.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, merging file65-a-segfault.patch,
    reloc65-argument-segfault.patch, xa-argument-segfaults.patch.
  * Switch to debhelper compatibility level 13.
  * Bump debian/watch to version 4.
  * Use secure URLs for upstream.
  * Set “Rules-Requires-Root: no”.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 Nov 2022 15:18:31 +0100
