=== tests/chppch/Makefile ===
default:
	../../xa -p'~' -e test.out test.c
	../hextool -cmp=ok.out < test.out

clean:
	rm -f a.o65 test.out
