=== debian/changelog ===
xa (2.3.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Feb 2023 15:07:15 +0100
