## xa 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 # Unix gcc or DOS go32 cross-compiling gcc
 #
+VERS = 2.4.0
 CC = gcc
 LD = gcc
 # for testing. not to be used; build failures in misc/.
 #CFLAGS = -O2 -W -Wall -pedantic -ansi
-CFLAGS = -O2
+#CFLAGS = -O2 -g
+CFLAGS = -O2 
 LDFLAGS = -lc
 
 # for DOS?
@@ -26,6 +28,8 @@
 MKDIR = mkdir -p
 INSTALL = install
 
+TESTS=ALL
+
 all: killxa xa uncpk
 
 killxa:
@@ -34,8 +38,8 @@
 xa:
 	(cd src && LD=${LD} CC="${CC} ${CFLAGS}" ${MAKE})
 
-load:	
-	(cd loader && CC="${CC} ${CFLAGS}" ${MAKE})
+#load:	
+#	(cd loader && CC="${CC} ${CFLAGS}" ${MAKE})
 
 uncpk:
 	(cd misc && CC="${CC} ${CFLAGS}" ${MAKE})
@@ -51,11 +55,11 @@
 	
 clean:
 	(cd src && ${MAKE} clean)
-	(cd loader && ${MAKE} clean)
+	#(cd loader && ${MAKE} clean)
 	(cd misc && ${MAKE} mrproper)
-	rm -f xa *.exe *.o65
+	rm -f xa *.exe *.o65 *.s core
 
-install: xa uncpk
+install: all
 	$(MKDIR) $(BINDIR)
 	$(MKDIR) $(MANDIR)
 	$(INSTALL) xa reloc65 ldo65 file65 printcbm uncpk $(BINDIR)
@@ -63,7 +67,14 @@
 	#$(MKDIR) $(DOCDIR)/xa65
 
 dist: clean
-	cd .. ; tar cvf xa-2.3.12.tar xa-2.3.12 ; gzip xa-2.3.12.tar
+	cd .. ; tar cvf xa-$(VERS).tar xa-$(VERS) ; gzip xa-$(VERS).tar
 
-test: xa uncpk
-	cd tests && ./harness -make="$(MAKE)" -cc="$(CC)" -cflags="$(CFLAGS)"
+# no prereqs to force parallel make to play nice
+test: 
+	rm -rf xa
+	$(MAKE) xa
+	$(MAKE) uncpk
+	cd tests && ./harness \
+		-tests="$(TESTS)" \
+		-cc="$(CC)" -cflags="$(CFLAGS)"  \
+		-make="$(MAKE)" -makeflags="$(MAKEFLAGS)"
