=== debian/changelog ===
xa (2.4.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 11 Dec 2023 20:31:30 +0100
