=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

override_dh_auto_build:
	dh_auto_build -- CC='$(CC)' LD='$$(CC)' CFLAGS='$(CPPFLAGS) $(CFLAGS)' LDFLAGS='$(LDFLAGS)'

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/xa65/usr

override_dh_auto_test:
	dh_auto_test --no-parallel

%:
	dh $@
