=== debian/watch ===
# watch control file for uscan
version=4
https://www.floodgap.com/retrotech/xa/dists/xa-(.*)\.tar\.gz	debian	uupdate
