=== debian/changelog ===
xa (2.4.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Fix FTCBFS: Also pass cross tools to make install.
    Closes: #1063460. Thanks to Helmut Grohne for the patch!
  * Carets in string literals are now only special with -k, and documented
    in the man page. Closes: #861527.

 -- Stephen Kitt <skitt@debian.org>  Sat, 09 Mar 2024 16:32:05 +0100
