=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: David Weinehall <tao@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.1.1
-Homepage: http://www.floodgap.com/retrotech/xa/
+Homepage: https://www.floodgap.com/retrotech/xa/
+Rules-Requires-Root: no
 
 Package: xa65
 Architecture: any
