=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh_auto_build -- CC='$(CC)' LD='$$(CC)' CFLAGS='$(CPPFLAGS) $(CFLAGS)' LDFLAGS='$(LDFLAGS)'
 
 override_dh_auto_install:
-	make install DESTDIR=$(CURDIR)/debian/xa65/usr
+	make install DESTDIR=$(CURDIR)/debian/xa65/usr CC='$(CC)' LD='$$(CC)' CFLAGS='$(CPPFLAGS) $(CFLAGS)' LDFLAGS='$(LDFLAGS)'
 
 override_dh_auto_test:
 	dh_auto_test --no-parallel
